import maya.api.OpenMaya as om

"""
NOTE: need to match the plugin's file name, because the plugin currently doesn't
set its name explicitly via OpenMaya.MFnPlugin.setName() due to a crash in Maya 2022
"""
V3D_PLUGIN_NAME = 'verge3d'

# from registered ID block 0x00132c40 - 0x00132c7f
V3D_SETTINGS_ID = om.MTypeId(0x00132c40)
V3D_REFLECTION_CUBEMAP_ID = om.MTypeId(0x00132c41)
V3D_CLIPPING_PLANE_ID = om.MTypeId(0x00132c42)
V3D_REFLECTION_PLANE_ID = om.MTypeId(0x00132c43)
